Opened 11 years ago

Closed 11 years ago

#317 closed defect (fixed)

TIVUSAT Linux+Smargo Fixed Mode: ATR OK but "card system not supported"

Reported by: simvirus Owned by:
Priority: minor Component: Reader
Severity: medium Keywords:
Cc: Sensitive: no

Description

Hello!
I'm using Linux+Smargo Fixed Mode+SmargoPatch but I've this problem:

# ./oscam-0.99.4svn1114-i686-pc-linux-patch -c /usr/prog/OSCam
2010/01/07 23:00:20  19984 s   >> OSCam <<  cardserver started version 0.99.4svn, build #1114 (i686-pc-linux)
2010/01/07 23:00:20  19984 s   auth size=4740
2010/01/07 23:00:20  19984 s   Cannot open file "/usr/prog/OSCam/oscam.services" (errno=2)
2010/01/07 23:00:20  19984 s   userdb reloaded: 0 accounts freed, 1 accounts loaded, 0 expired
2010/01/07 23:00:20  19984 s   signal handling initialized (type=sysv)
2010/01/07 23:00:20  19984 s   can't open file "/usr/prog/OSCam/oscam.srvid" (err=2), no service-id's loaded
2010/01/07 23:00:20  19984 s   monitor: initialized (fd=6, port=988)
2010/01/07 23:00:20  19984 s   camd 3.3x: disabled
2010/01/07 23:00:20  19984 s   camd 3.5x: disabled
2010/01/07 23:00:20  19984 s   cs378x: disabled
2010/01/07 23:00:20  19984 s   newcamd: initialized (fd=7, port=34000, crypted)
2010/01/07 23:00:20  19984 s   CAID: 183D
2010/01/07 23:00:20  19984 s   provid #0: 000000
2010/01/07 23:00:20  19984 s   radegast: disabled
2010/01/07 23:00:20  19984 s   resolver thread started
2010/01/07 23:00:20  19984 s   logger started (pid=19986)
2010/01/07 23:00:20  19984 s   resolver started (pid=19987, delay=30 sec)
2010/01/07 23:00:20  19984 s   reader started (pid=19988, device=/dev/ttyUSB5, detect=cd, mhz=357, cardmhz=357)
2010/01/07 23:00:20  19984 s   Waiting for local card init ....
2010/01/07 23:00:23  19988 r02 card detected
2010/01/07 23:00:30  19988 r02 ATR: 3F FF 95 00 FF 91 81 71 FF 47 00 54 49 47 45 52 30 30 33 20 52 65 76 32 35 30 64
2010/01/07 23:00:33  19988 r02 card system not supported
2010/01/07 23:00:33  19988 r02 card initializing error
2010/01/07 23:00:33  19984 s   Init for all local cards done !
2010/01/07 23:00:33  19984 s   anti cascading disabled
2010/01/07 23:00:34  19984 s   exit with signal 2
2010/01/07 23:00:34  19984 s   cardserver down

Thanks for support

Change History (11)

comment:1 by nightmann, 11 years ago

Resolution: invalid
Status: newclosed

smargo patch is not from oscam developer team.
please use smartreader branch for smargo

comment:2 by simvirus, 11 years ago

Resolution: invalid
Status: closedreopened

Well, this is the output with last svn1204 and "Protocol = mouse"

# ./oscam-0.99.4svn1204-i686-pc-linux -c /usr/prog/OSCam
2010/01/13 11:53:53  32500 s   >> OSCam <<  cardserver started version 0.99.4svn, build #1204 (i686-pc-linux)
2010/01/13 11:53:53  32500 s   auth size=4740
2010/01/13 11:53:53  32500 s   Cannot open file "/usr/prog/OSCam/oscam.services" (errno=2)
2010/01/13 11:53:53  32500 s   userdb reloaded: 0 accounts freed, 1 accounts loaded, 0 expired
2010/01/13 11:53:53  32500 s   signal handling initialized (type=sysv)
2010/01/13 11:53:53  32500 s   can't open file "/usr/prog/OSCam/oscam.srvid" (err=2), no service-id's loaded
2010/01/13 11:53:53  32500 s   monitor: initialized (fd=6, port=988)
2010/01/13 11:53:53  32500 s   camd 3.3x: disabled
2010/01/13 11:53:53  32500 s   camd 3.5x: disabled
2010/01/13 11:53:53  32500 s   cs378x: disabled
2010/01/13 11:53:53  32500 s   newcamd: initialized (fd=7, port=34000, crypted)
2010/01/13 11:53:53  32500 s   CAID: 183D
2010/01/13 11:53:53  32500 s   provid #0: 000000
2010/01/13 11:53:53  32500 s   radegast: disabled
2010/01/13 11:53:53  32500 s   resolver thread started
2010/01/13 11:53:53  32500 s   logger started (pid=32502)
2010/01/13 11:53:53  32500 s   resolver started (pid=32503, delay=30 sec)
2010/01/13 11:53:53  32500 s   reader started (pid=32504, device=/dev/ttyUSB5, detect=cd, mhz=357, cardmhz=357)
2010/01/13 11:53:53  32500 s   Waiting for local card init ....
2010/01/13 11:53:55  32504 r02 card detected
2010/01/13 11:54:02  32504 r02 Warning: F=0 is invalid, forcing FI=1
2010/01/13 11:54:02  32504 r02 ATR: 3F 3F FF 95 00 FF 91 81 71 FF 47 00 54 49 47 45 52 30 30
2010/01/13 11:54:03  32504 r02 card system not supported
2010/01/13 11:54:03  32504 r02 card initializing error

and this is with "Protocol = smartreader"

# ./oscam-0.99.4svn1204-i686-pc-linux -c /usr/prog/OSCam
2010/01/13 11:57:08    529 s   >> OSCam <<  cardserver started version 0.99.4svn, build #1204 (i686-pc-linux)
2010/01/13 11:57:08    529 s   auth size=4740
2010/01/13 11:57:08    529 s   Cannot open file "/usr/prog/OSCam/oscam.services" (errno=2)
2010/01/13 11:57:08    529 s   userdb reloaded: 0 accounts freed, 1 accounts loaded, 0 expired
2010/01/13 11:57:08    529 s   signal handling initialized (type=sysv)
2010/01/13 11:57:08    529 s   can't open file "/usr/prog/OSCam/oscam.srvid" (err=2), no service-id's loaded
2010/01/13 11:57:08    529 s   monitor: initialized (fd=6, port=988)
2010/01/13 11:57:08    529 s   camd 3.3x: disabled
2010/01/13 11:57:08    529 s   camd 3.5x: disabled
2010/01/13 11:57:08    529 s   cs378x: disabled
2010/01/13 11:57:08    529 s   newcamd: initialized (fd=7, port=34000, crypted)
2010/01/13 11:57:08    529 s   CAID: 183D
2010/01/13 11:57:08    529 s   provid #0: 000000
2010/01/13 11:57:08    529 s   radegast: disabled
2010/01/13 11:57:08    529 s   resolver thread started
2010/01/13 11:57:08    529 s   logger started (pid=531)
2010/01/13 11:57:08    529 s   resolver started (pid=532, delay=30 sec)
2010/01/13 11:57:08    529 s   reader started (pid=533, device=/dev/ttyUSB5, detect=cd, mhz=357, cardmhz=357)
2010/01/13 11:57:08    529 s   Waiting for local card init ....
2010/01/13 11:57:11    533 r02 card detected
2010/01/13 11:57:17    533 r02 Warning: F=0 is invalid, forcing FI=1
2010/01/13 11:57:17    533 r02 ATR: 3F 3F FF 95 00 FF 91 81 71 FF 47 00 54 49 47 45 52 30 30
2010/01/13 11:57:18    533 r02 card system not supported
2010/01/13 11:57:18    533 r02 card initializing error
2010/01/13 11:57:18    529 s   Init for all local cards done !
2010/01/13 11:57:18    529 s   anti cascading disabled
2010/01/13 11:57:20    529 s   exit with signal 2
2010/01/13 11:57:20    529 s   cardserver down

comment:3 by Eneen, 11 years ago

Please set mhz=358 instead of 357 (leave cardmhz = 357) and check.

comment:4 by simvirus, 11 years ago

Hello!

With detect=cd, mhz=358 and default cardmhz=357

2010/01/13 12:37:51   6800 s   reader started (pid=6804, device=/dev/ttyUSB5, detect=cd, mhz=358, cardmhz=357)
2010/01/13 12:37:51   6800 s   Waiting for local card init ....
2010/01/13 12:37:53   6804 r02 card detected
2010/01/13 12:38:00   6804 r02 Warning: F=0 is invalid, forcing FI=1
2010/01/13 12:38:00   6804 r02 ATR: 3F 3F FF 95 00 FF 91 81 71 FF 47 00 54 49 47 45 52 30 30
2010/01/13 12:38:01   6804 r02 card system not supported
2010/01/13 12:38:01   6804 r02 card initializing error

and with detect=cd, mhz=368 and default cardmhz=357

2010/01/13 12:38:56   6994 s   reader started (pid=6998, device=/dev/ttyUSB5, detect=cd, mhz=368, cardmhz=357)
2010/01/13 12:38:56   6994 s   Waiting for local card init ....
2010/01/13 12:38:58   6998 r02 card detected
2010/01/13 12:39:05   6998 r02 Warning: F=0 is invalid, forcing FI=1
2010/01/13 12:39:05   6998 r02 ATR: 3F 3F FF 95 00 FF 91 81 71 FF 47 00 54 49 47 45 52 30 30
2010/01/13 12:39:06   6998 r02 card system not supported

and the same with 3.69 (default value for smartreader+ are: 3.20, 3.43, 3.69, 4.00, 4.36, 4.80, 5.34, 6.00, 6.86, 8.00, 9.61, 12.0 and 16.0 MHz)

Regards

comment:5 by nightmann, 11 years ago

Priority: majortrivial
Resolution: invalid
Severity: mediumlow
Status: reopenedclosed

Is this smartreader branch? And please attach a full log (oscam -d 63)

comment:6 by simvirus, 11 years ago

Resolution: invalid
Severity: lowmedium
Status: closedreopened

Hello! Here the output for 369, 358 and 357.

Yes, it's a true/original smartreader and it's work correclty with other emu.

Thanks

2010/01/14 12:18:01  14120 l   starting client -2 with ip 127.0.0.1
2010/01/14 12:18:01  14121 n   starting client -1 with ip 127.0.0.1
2010/01/14 12:18:01  14122 r02 starting client 0 with ip 127.0.0.1
2010/01/14 12:18:01  14122 r02 custom baudrate: cardmhz=357 mhz=369 custom_baud=1240 baud_base=24000000 divisor=19355 -> effective baudrate 1239
2010/01/14 12:18:03  14122 r02 custom baudrate: cardmhz=357 mhz=369 custom_baud=9922 baud_base=24000000 divisor=2419 -> effective baudrate 9921
2010/01/14 12:18:04  14122 r02 ct_init on /dev/ttyUSB5: 0
2010/01/14 12:18:04  14122 r02 card detected
2010/01/14 12:18:07  14122 r02 custom baudrate: cardmhz=357 mhz=369 custom_baud=9922 baud_base=24000000 divisor=2419 -> effective baudrate 9921
2010/01/14 12:18:09  14122 r02 ATR reports 1 protocol lines:
2010/01/14 12:18:09  14122 r02 TA1=FF TB1=95 no TD1 means T0
2010/01/14 12:18:09  14122 r02 1 protocol types detected. Historical bytes: 00 FF 91 81 71 FF 47 00 54 49 47 45 52 30 30
2010/01/14 12:18:09  14122 r02 PTS: Sending request: FF 10 FF 10
2010/01/14 12:18:10  14122 r02 PTS Failure, response:
2010/01/14 12:18:10  14122 r02 FF 10 FF 10
2010/01/14 12:18:10  14122 r02 No PTS happened, selected protocol T0, F=0, D=0.015625, N=0

2010/01/14 12:18:10  14122 r02 Warning: F=0 is invalid, forcing FI=1
2010/01/14 12:18:10  14122 r02 custom baudrate: cardmhz=357 mhz=369 custom_baud=155 baud_base=24000000 divisor=154839 -> effective baudrate 154
2010/01/14 12:18:10  14122 r02 ATR: 3F 3F FF 95 00 FF 91 81 71 FF 47 00 54 49 47 45 52 30 30
2010/01/14 12:18:11  14122 r02 write to cardreader tvsat:
2010/01/14 12:18:11  14122 r02 D0 74 01 80 01
2010/01/14 12:18:11  14122 r02 answer from cardreader tvsat:
2010/01/14 12:18:11  14122 r02 failed to read 7401 cmd length (3f ff)
2010/01/14 12:18:11  14122 r02 card system not supported
2010/01/14 12:18:11  14122 r02 card initializing error
# ./oscam-0.99.4svn1204-i686-pc-linux -d 63 -c /usr/prog/OSCam
2010/01/14 12:19:13  14317 s   >> OSCam <<  cardserver started version 0.99.4svn, build #1204 (i686-pc-linux)
2010/01/14 12:19:13  14317 s   auth size=4740
2010/01/14 12:19:13  14317 s   Cannot open file "/usr/prog/OSCam/oscam.services" (errno=2)
2010/01/14 12:19:13  14317 s   userdb reloaded: 0 accounts freed, 1 accounts loaded, 0 expired
2010/01/14 12:19:13  14317 s   signal handling initialized (type=sysv)
2010/01/14 12:19:13  14317 s   can't open file "/usr/prog/OSCam/oscam.srvid" (err=2), no service-id's loaded
2010/01/14 12:19:13  14317 s   monitor: initialized (fd=6, port=988)
2010/01/14 12:19:13  14317 s   camd 3.3x: disabled
2010/01/14 12:19:13  14317 s   camd 3.5x: disabled
2010/01/14 12:19:13  14317 s   cs378x: disabled
2010/01/14 12:19:13  14317 s   newcamd: initialized (fd=7, port=34000, crypted)
2010/01/14 12:19:13  14317 s   CAID: 183D
2010/01/14 12:19:13  14317 s   provid #0: 000000
2010/01/14 12:19:13  14317 s   radegast: disabled
2010/01/14 12:19:13  14317 s   resolver thread started
2010/01/14 12:19:13  14317 s   logger started (pid=14319)
2010/01/14 12:19:13  14317 s   resolver started (pid=14320, delay=30 sec)
2010/01/14 12:19:13  14317 s   reader started (pid=14321, device=/dev/ttyUSB5, detect=cd, mhz=358, cardmhz=357)
2010/01/14 12:19:13  14317 s   Waiting for local card init ....
2010/01/14 12:19:13  14319 l   starting client -2 with ip 127.0.0.1
2010/01/14 12:19:13  14320 n   starting client -1 with ip 127.0.0.1
2010/01/14 12:19:13  14321 r02 starting client 0 with ip 127.0.0.1
2010/01/14 12:19:13  14321 r02 custom baudrate: cardmhz=357 mhz=358 custom_baud=1203 baud_base=24000000 divisor=19950 -> effective baudrate 1203
2010/01/14 12:19:14  14321 r02 custom baudrate: cardmhz=357 mhz=358 custom_baud=9626 baud_base=24000000 divisor=2493 -> effective baudrate 9626
2010/01/14 12:19:15  14321 r02 ct_init on /dev/ttyUSB5: 0
2010/01/14 12:19:16  14321 r02 card detected
2010/01/14 12:19:18  14321 r02 custom baudrate: cardmhz=357 mhz=358 custom_baud=9626 baud_base=24000000 divisor=2493 -> effective baudrate 9626
2010/01/14 12:19:21  14321 r02 ATR reports 1 protocol lines:
2010/01/14 12:19:21  14321 r02 TA1=FF TB1=95 no TD1 means T0
2010/01/14 12:19:21  14321 r02 1 protocol types detected. Historical bytes: 00 FF 91 81 71 FF 47 00 54 49 47 45 52 30 30
2010/01/14 12:19:21  14321 r02 PTS: Sending request: FF 10 FF 10
2010/01/14 12:19:22  14321 r02 PTS Failure, response:
2010/01/14 12:19:22  14321 r02 FF 10 FF 10
2010/01/14 12:19:22  14321 r02 No PTS happened, selected protocol T0, F=0, D=0.015625, N=0

2010/01/14 12:19:22  14321 r02 Warning: F=0 is invalid, forcing FI=1
2010/01/14 12:19:22  14321 r02 custom baudrate: cardmhz=357 mhz=358 custom_baud=150 baud_base=24000000 divisor=160000 -> effective baudrate 150
2010/01/14 12:19:22  14321 r02 ATR: 3F 3F FF 95 00 FF 91 81 71 FF 47 00 54 49 47 45 52 30 30
2010/01/14 12:19:23  14321 r02 write to cardreader tvsat:
2010/01/14 12:19:23  14321 r02 D0 74 01 80 01
2010/01/14 12:19:23  14321 r02 answer from cardreader tvsat:
2010/01/14 12:19:23  14321 r02 failed to read 7401 cmd length (3f ff)
2010/01/14 12:19:23  14321 r02 card system not supported
2010/01/14 12:19:23  14321 r02 card initializing error
2010/01/14 12:19:23  14317 s   Init for all local cards done !
# ./oscam-0.99.4svn1204-i686-pc-linux -d 63 -c /usr/prog/OSCam
2010/01/14 12:19:44  14388 s   >> OSCam <<  cardserver started version 0.99.4svn, build #1204 (i686-pc-linux)
2010/01/14 12:19:44  14388 s   auth size=4740
2010/01/14 12:19:44  14388 s   Cannot open file "/usr/prog/OSCam/oscam.services" (errno=2)
2010/01/14 12:19:44  14388 s   userdb reloaded: 0 accounts freed, 1 accounts loaded, 0 expired
2010/01/14 12:19:44  14388 s   signal handling initialized (type=sysv)
2010/01/14 12:19:44  14388 s   can't open file "/usr/prog/OSCam/oscam.srvid" (err=2), no service-id's loaded
2010/01/14 12:19:44  14388 s   monitor: initialized (fd=6, port=988)
2010/01/14 12:19:44  14388 s   camd 3.3x: disabled
2010/01/14 12:19:44  14388 s   camd 3.5x: disabled
2010/01/14 12:19:44  14388 s   cs378x: disabled
2010/01/14 12:19:44  14388 s   newcamd: initialized (fd=7, port=34000, crypted)
2010/01/14 12:19:44  14388 s   CAID: 183D
2010/01/14 12:19:44  14388 s   provid #0: 000000
2010/01/14 12:19:44  14388 s   radegast: disabled
2010/01/14 12:19:44  14388 s   resolver thread started
2010/01/14 12:19:44  14388 s   logger started (pid=14390)
2010/01/14 12:19:44  14388 s   resolver started (pid=14391, delay=30 sec)
2010/01/14 12:19:44  14388 s   reader started (pid=14392, device=/dev/ttyUSB5, detect=cd, mhz=357, cardmhz=357)
2010/01/14 12:19:44  14388 s   Waiting for local card init ....
2010/01/14 12:19:44  14390 l   starting client -2 with ip 127.0.0.1
2010/01/14 12:19:44  14391 n   starting client -1 with ip 127.0.0.1
2010/01/14 12:19:44  14392 r02 starting client 0 with ip 127.0.0.1
2010/01/14 12:19:44  14392 r02 standard baudrate: cardmhz=357 mhz=357 -> effective baudrate 1200
2010/01/14 12:19:46  14392 r02 standard baudrate: cardmhz=357 mhz=357 -> effective baudrate 9600
2010/01/14 12:19:47  14392 r02 ct_init on /dev/ttyUSB5: 0
2010/01/14 12:19:47  14392 r02 card detected
2010/01/14 12:19:50  14392 r02 standard baudrate: cardmhz=357 mhz=357 -> effective baudrate 9600
2010/01/14 12:19:52  14392 r02 ATR reports 1 protocol lines:
2010/01/14 12:19:52  14392 r02 TA1=FF TB1=95 no TD1 means T0
2010/01/14 12:19:52  14392 r02 1 protocol types detected. Historical bytes: 00 FF 91 81 71 FF 47 00 54 49 47 45 52 30 30
2010/01/14 12:19:52  14392 r02 PTS: Sending request: FF 10 FF 10
2010/01/14 12:19:53  14392 r02 PTS Failure, response:
2010/01/14 12:19:53  14392 r02 FF 10 FF 10
2010/01/14 12:19:53  14392 r02 No PTS happened, selected protocol T0, F=0, D=0.015625, N=0

2010/01/14 12:19:53  14392 r02 Warning: F=0 is invalid, forcing FI=1
2010/01/14 12:19:53  14392 r02 standard baudrate: cardmhz=357 mhz=357 -> effective baudrate 150
2010/01/14 12:19:53  14392 r02 ATR: 3F 3F FF 95 00 FF 91 81 71 FF 47 00 54 49 47 45 52 30 30
2010/01/14 12:19:54  14392 r02 write to cardreader tvsat:
2010/01/14 12:19:54  14392 r02 D0 74 01 80 01
2010/01/14 12:19:54  14392 r02 answer from cardreader tvsat:
2010/01/14 12:19:54  14392 r02 failed to read 7401 cmd length (3f ff)
2010/01/14 12:19:54  14392 r02 card system not supported
2010/01/14 12:19:54  14392 r02 card initializing error
2010/01/14 12:19:54  14388 s   Init for all local cards done !
2010/01/14 12:19:54  14388 s   anti cascading disabled
2010/01/14 12:19:56  14388 s   exit with signal 2
2010/01/14 12:19:56  14388 s   cardserver down

comment:7 by simvirus, 11 years ago

Priority: trivialminor

comment:8 by simvirus, 11 years ago

Priority: minormajor

comment:9 by nightmann, 11 years ago

Priority: majorminor
Resolution: invalid
Status: reopenedclosed

Please use smartreader branch. There are a lot of changes since two last days.
And please this is not a "major" problem. On your sight sure, this i major but dont look at you, insteade look at all people who use this cam.

comment:10 by simvirus, 11 years ago

Resolution: invalid
Status: closedreopened

Excuse me but I'm using ONLY original smartreader and they are working with all emu!
What are you saying with "Please use smartreader branch"?

Thanks

comment:11 by Deas, 11 years ago

Component: Reader
Resolution: fixed
Sensitive: unset
Status: reopenedclosed

no update since 3 months...

Note: See TracTickets for help on using tickets.